<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: CP_Obligaciones.xml */
/* Generado: 2021-09-02 06:54:23 */

/* Mantenimiento de los registros de la tabla CP_Obligaciones */
abstract class BaseCP_ObligacionesDP extends CP_ObligacionesBV
{
    /* Constructor ( Establece los valores desde un objeto CP_ObligacionesBN ) */
    public function __construct( CP_ObligacionesBN $o_CP_ObligacionesBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_CP_ObligacionesBN ) )
        {
            $this->setByBN( $o_CP_ObligacionesBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto CP_ObligacionesBN */
    public function setByBN( CP_ObligacionesBN $o_CP_ObligacionesBN )
    {
        if ( !is_null( $o_CP_ObligacionesBN->getObligacionesId() ) )
        {
            $this->setObligacionesId( $o_CP_ObligacionesBN->getObligacionesId() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getIdCompania() ) )
        {
            $this->setIdCompania( $o_CP_ObligacionesBN->getIdCompania() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_CP_ObligacionesBN->getIdSucursal() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getIdTipoDocumento() ) )
        {
            $this->setIdTipoDocumento( $o_CP_ObligacionesBN->getIdTipoDocumento() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getPeriodo() ) )
        {
            $this->setPeriodo( $o_CP_ObligacionesBN->getPeriodo() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getFechaEmision() ) )
        {
            $this->setFechaEmision( $o_CP_ObligacionesBN->getFechaEmision() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getFechaVencimiento() ) )
        {
            $this->setFechaVencimiento( $o_CP_ObligacionesBN->getFechaVencimiento() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getFechaProgramacion() ) )
        {
            $this->setFechaProgramacion( $o_CP_ObligacionesBN->getFechaProgramacion() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getDocumentoSerie() ) )
        {
            $this->setDocumentoSerie( $o_CP_ObligacionesBN->getDocumentoSerie() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getDocumentoNumero() ) )
        {
            $this->setDocumentoNumero( $o_CP_ObligacionesBN->getDocumentoNumero() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getDocumentoSerieNumero() ) )
        {
            $this->setDocumentoSerieNumero( $o_CP_ObligacionesBN->getDocumentoSerieNumero() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getNumeroOC() ) )
        {
            $this->setNumeroOC( $o_CP_ObligacionesBN->getNumeroOC() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getProveedorId() ) )
        {
            $this->setProveedorId( $o_CP_ObligacionesBN->getProveedorId() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getProveedorDocTipo() ) )
        {
            $this->setProveedorDocTipo( $o_CP_ObligacionesBN->getProveedorDocTipo() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getProveedorDocNum() ) )
        {
            $this->setProveedorDocNum( $o_CP_ObligacionesBN->getProveedorDocNum() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getProveedorNombre() ) )
        {
            $this->setProveedorNombre( $o_CP_ObligacionesBN->getProveedorNombre() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getIdProyecto() ) )
        {
            $this->setIdProyecto( $o_CP_ObligacionesBN->getIdProyecto() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getProyectoNombre() ) )
        {
            $this->setProyectoNombre( $o_CP_ObligacionesBN->getProyectoNombre() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getDescripcion() ) )
        {
            $this->setDescripcion( $o_CP_ObligacionesBN->getDescripcion() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getTerminoId() ) )
        {
            $this->setTerminoId( $o_CP_ObligacionesBN->getTerminoId() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMetodoPagoId() ) )
        {
            $this->setMetodoPagoId( $o_CP_ObligacionesBN->getMetodoPagoId() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getIdMoneda() ) )
        {
            $this->setIdMoneda( $o_CP_ObligacionesBN->getIdMoneda() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getTipoCambio() ) )
        {
            $this->setTipoCambio( $o_CP_ObligacionesBN->getTipoCambio() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getAfectoIGV() ) )
        {
            $this->setAfectoIGV( $o_CP_ObligacionesBN->getAfectoIGV() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoAfecto() ) )
        {
            $this->setMontoAfecto( $o_CP_ObligacionesBN->getMontoAfecto() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoAfectoMN() ) )
        {
            $this->setMontoAfectoMN( $o_CP_ObligacionesBN->getMontoAfectoMN() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoNoAfecto() ) )
        {
            $this->setMontoNoAfecto( $o_CP_ObligacionesBN->getMontoNoAfecto() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoNoAfectoMN() ) )
        {
            $this->setMontoNoAfectoMN( $o_CP_ObligacionesBN->getMontoNoAfectoMN() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoIGV() ) )
        {
            $this->setMontoIGV( $o_CP_ObligacionesBN->getMontoIGV() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoIGVMN() ) )
        {
            $this->setMontoIGVMN( $o_CP_ObligacionesBN->getMontoIGVMN() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoTotal() ) )
        {
            $this->setMontoTotal( $o_CP_ObligacionesBN->getMontoTotal() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoTotalMN() ) )
        {
            $this->setMontoTotalMN( $o_CP_ObligacionesBN->getMontoTotalMN() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoPagado() ) )
        {
            $this->setMontoPagado( $o_CP_ObligacionesBN->getMontoPagado() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoPagadoMN() ) )
        {
            $this->setMontoPagadoMN( $o_CP_ObligacionesBN->getMontoPagadoMN() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoSaldo() ) )
        {
            $this->setMontoSaldo( $o_CP_ObligacionesBN->getMontoSaldo() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getMontoSaldoMN() ) )
        {
            $this->setMontoSaldoMN( $o_CP_ObligacionesBN->getMontoSaldoMN() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getComprobanteRefId() ) )
        {
            $this->setComprobanteRefId( $o_CP_ObligacionesBN->getComprobanteRefId() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getComprobanteTipoRefId() ) )
        {
            $this->setComprobanteTipoRefId( $o_CP_ObligacionesBN->getComprobanteTipoRefId() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getComprobanteSerieNumeroRef() ) )
        {
            $this->setComprobanteSerieNumeroRef( $o_CP_ObligacionesBN->getComprobanteSerieNumeroRef() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getComprobanteFechaEmisionRef() ) )
        {
            $this->setComprobanteFechaEmisionRef( $o_CP_ObligacionesBN->getComprobanteFechaEmisionRef() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getEstado() ) )
        {
            $this->setEstado( $o_CP_ObligacionesBN->getEstado() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getEstadoPagado() ) )
        {
            $this->setEstadoPagado( $o_CP_ObligacionesBN->getEstadoPagado() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getFechaPago() ) )
        {
            $this->setFechaPago( $o_CP_ObligacionesBN->getFechaPago() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_CP_ObligacionesBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_CP_ObligacionesBN->getFechaCreacion() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_CP_ObligacionesBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_CP_ObligacionesBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_CP_ObligacionesBN->getFechaModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_CP_ObligacionesFN = new CP_ObligacionesFN();
        $o_CP_ObligacionesBN = $o_CP_ObligacionesFN->selectByPk( $this->getObligacionesId() );
        if ( is_null( $o_CP_ObligacionesBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO CP_Obligaciones ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getObligacionesId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ObligacionesId";
                $s_SQLQuery2 .= $s_Separator."".$this->getObligacionesId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCompania";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSucursal";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoDocumento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdTipoDocumento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdTipoDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeriodo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Periodo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPeriodo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEmision() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaEmision";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaEmision()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaVencimiento";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaProgramacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaProgramacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaProgramacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoSerie() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoSerie";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoSerieNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocumentoSerieNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocumentoSerieNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroOC() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NumeroOC";
                $s_SQLQuery2 .= $s_Separator."".$this->getNumeroOC()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProveedorId";
                $s_SQLQuery2 .= $s_Separator."".$this->getProveedorId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorDocTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProveedorDocTipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getProveedorDocTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorDocNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProveedorDocNum";
                $s_SQLQuery2 .= $s_Separator."'".$this->getProveedorDocNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProveedorNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getProveedorNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdProyecto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdProyecto";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdProyecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProyectoNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ProyectoNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getProyectoNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Descripcion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTerminoId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TerminoId";
                $s_SQLQuery2 .= $s_Separator."".$this->getTerminoId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMetodoPagoId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MetodoPagoId";
                $s_SQLQuery2 .= $s_Separator."".$this->getMetodoPagoId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMoneda() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdMoneda";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIdMoneda()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoCambio";
                $s_SQLQuery2 .= $s_Separator."".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAfectoIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."AfectoIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getAfectoIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAfecto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAfecto";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAfecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAfectoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAfectoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAfectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoNoAfecto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoNoAfecto";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoNoAfecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoNoAfectoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoNoAfectoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoNoAfectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoIGVMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoIGVMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoIGVMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoTotal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoTotal";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoTotalMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoTotalMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoTotalMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoPagado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoPagado";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoPagado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoPagadoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoPagadoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoPagadoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoSaldo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoSaldo";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoSaldo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoSaldoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoSaldoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoSaldoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteRefId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ComprobanteRefId";
                $s_SQLQuery2 .= $s_Separator."".$this->getComprobanteRefId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteTipoRefId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ComprobanteTipoRefId";
                $s_SQLQuery2 .= $s_Separator."'".$this->getComprobanteTipoRefId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteSerieNumeroRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ComprobanteSerieNumeroRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getComprobanteSerieNumeroRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteFechaEmisionRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ComprobanteFechaEmisionRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getComprobanteFechaEmisionRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoPagado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EstadoPagado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstadoPagado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaPago() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaPago";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaPago()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE CP_Obligaciones SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdCompania() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCompania = ".$this->getIdCompania()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery .= $s_Separator."IdSucursal = ".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTipoDocumento() ) )
            {
                $s_SQLQuery .= $s_Separator."IdTipoDocumento = '".$this->getIdTipoDocumento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPeriodo() ) )
            {
                $s_SQLQuery .= $s_Separator."Periodo = '".$this->getPeriodo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEmision() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaEmision = '".$this->getFechaEmision()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaVencimiento() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaVencimiento = '".$this->getFechaVencimiento()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaProgramacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaProgramacion = '".$this->getFechaProgramacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoSerie() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoSerie = '".$this->getDocumentoSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoNumero = '".$this->getDocumentoNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocumentoSerieNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."DocumentoSerieNumero = '".$this->getDocumentoSerieNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNumeroOC() ) )
            {
                $s_SQLQuery .= $s_Separator."NumeroOC = ".$this->getNumeroOC()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorId() ) )
            {
                $s_SQLQuery .= $s_Separator."ProveedorId = ".$this->getProveedorId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorDocTipo() ) )
            {
                $s_SQLQuery .= $s_Separator."ProveedorDocTipo = '".$this->getProveedorDocTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorDocNum() ) )
            {
                $s_SQLQuery .= $s_Separator."ProveedorDocNum = '".$this->getProveedorDocNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProveedorNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."ProveedorNombre = '".$this->getProveedorNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdProyecto() ) )
            {
                $s_SQLQuery .= $s_Separator."IdProyecto = ".$this->getIdProyecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getProyectoNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."ProyectoNombre = '".$this->getProyectoNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDescripcion() ) )
            {
                $s_SQLQuery .= $s_Separator."Descripcion = '".$this->getDescripcion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTerminoId() ) )
            {
                $s_SQLQuery .= $s_Separator."TerminoId = ".$this->getTerminoId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMetodoPagoId() ) )
            {
                $s_SQLQuery .= $s_Separator."MetodoPagoId = ".$this->getMetodoPagoId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdMoneda() ) )
            {
                $s_SQLQuery .= $s_Separator."IdMoneda = '".$this->getIdMoneda()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoCambio = ".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAfectoIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."AfectoIGV = ".$this->getAfectoIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAfecto() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAfecto = ".$this->getMontoAfecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAfectoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAfectoMN = ".$this->getMontoAfectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoNoAfecto() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoNoAfecto = ".$this->getMontoNoAfecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoNoAfectoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoNoAfectoMN = ".$this->getMontoNoAfectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoIGV = ".$this->getMontoIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoIGVMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoIGVMN = ".$this->getMontoIGVMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoTotal() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoTotal = ".$this->getMontoTotal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoTotalMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoTotalMN = ".$this->getMontoTotalMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoPagado() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoPagado = ".$this->getMontoPagado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoPagadoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoPagadoMN = ".$this->getMontoPagadoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoSaldo() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoSaldo = ".$this->getMontoSaldo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoSaldoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoSaldoMN = ".$this->getMontoSaldoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteRefId() ) )
            {
                $s_SQLQuery .= $s_Separator."ComprobanteRefId = ".$this->getComprobanteRefId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteTipoRefId() ) )
            {
                $s_SQLQuery .= $s_Separator."ComprobanteTipoRefId = '".$this->getComprobanteTipoRefId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteSerieNumeroRef() ) )
            {
                $s_SQLQuery .= $s_Separator."ComprobanteSerieNumeroRef = '".$this->getComprobanteSerieNumeroRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getComprobanteFechaEmisionRef() ) )
            {
                $s_SQLQuery .= $s_Separator."ComprobanteFechaEmisionRef = '".$this->getComprobanteFechaEmisionRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoPagado() ) )
            {
                $s_SQLQuery .= $s_Separator."EstadoPagado = '".$this->getEstadoPagado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaPago() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaPago = '".$this->getFechaPago()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  ObligacionesId = ".$this->getObligacionesId().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM CP_Obligaciones WHERE  ObligacionesId = ".$this->getObligacionesId().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>